# Generated by Django 3.2.7 on 2021-09-21 18:44

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('greenLab', '0004_sensor'),
    ]

    operations = [
        migrations.CreateModel(
            name='Actuador',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('descripcion', models.CharField(default='Sin descripcion', max_length=50)),
                ('id_rele', models.IntegerField(max_length=50)),
                ('valor', models.IntegerField(choices=[(1, 'Prendido'), (0, 'Apagado')], default='0', max_length=50)),
                ('estado_verificado', models.NullBooleanField(default=False)),
                ('arduino', models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='greenLab.controlador')),
                ('tipoActuador', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='greenLab.tiposensor')),
            ],
            options={
                'verbose_name': 'Actuador',
                'verbose_name_plural': 'Actuadores',
            },
        ),
    ]
